import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
Vue.config.productionTip = false

import {
  Image as VanImage, Form, Field, Search, CheckboxGroup, GoodsActionIcon,
  Swipe, Grid, GridItem, NoticeBar, Checkbox, Col, Cell, GoodsActionButton,
  Button, Tabbar, TabbarItem, SwipeItem, Tag, Row, CellGroup, GoodsAction, AddressEdit,
  TreeSelect, Card, Empty, SubmitBar, Stepper, Divider, Icon, ActionSheet, AddressList
} from 'vant';

Vue.use(AddressEdit);
Vue.use(AddressList);
Vue.use(GoodsAction);
Vue.use(GoodsActionButton);
Vue.use(GoodsActionIcon);
Vue.use(ActionSheet);
Vue.use(Icon)
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Divider);
Vue.use(Col);
Vue.use(Row);
Vue.use(CheckboxGroup)
Vue.use(Stepper);
Vue.use(Checkbox)
Vue.use(SubmitBar);
Vue.use(Empty)
Vue.use(Card)
Vue.use(TreeSelect);
Vue.use(Tag);
Vue.use(NoticeBar)
Vue.use(Grid);
Vue.use(GridItem);
Vue.use(Swipe);
Vue.use(SwipeItem);
Vue.use(Search);
Vue.use(VanImage)
Vue.use(Form)
Vue.use(Field)
Vue.use(Button)
Vue.use(Tabbar)
Vue.use(TabbarItem)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
